Index: branch/elmansour/Emb_App.tws
===================================================================
--- branch/elmansour/Emb_App.tws	(revision 234)
+++ branch/elmansour/Emb_App.tws	(revision 235)
@@ -7,11 +7,21 @@
 [GENERAL_DATA]
 [BREAKPOINTS]
 [OPEN_WORKSPACE_FILES]
+"E:\tp_info6_elmansour\bsp\periph.c" 
+"E:\tp_info6_elmansour\bsp\radiocommande.c" 
+"E:\tp_info6_elmansour\bsp\uart0.c" 
+"E:\tp_info6_elmansour\Emb_App\conf_noyau.cfg" 
 "E:\tp_info6_elmansour\Emb_App\crt0mr.a30" 
+"E:\tp_info6_elmansour\Emb_App\Debug\mrtable.a30" 
 "E:\tp_info6_elmansour\Emb_App\programme_principal_etud.c" 
 [WORKSPACE_FILE_STATES]
+"E:\tp_info6_elmansour\Emb_App\Debug\mrtable.a30" 50 50 1430 351 0 2 
+"E:\tp_info6_elmansour\Emb_App\conf_noyau.cfg" 75 75 1430 351 0 3 
 "E:\tp_info6_elmansour\Emb_App\crt0mr.a30" -8 -30 1596 539 1 0 
-"E:\tp_info6_elmansour\Emb_App\programme_principal_etud.c" 25 25 1426 347 0 1 
+"E:\tp_info6_elmansour\Emb_App\programme_principal_etud.c" 0 0 1596 539 0 1 
+"E:\tp_info6_elmansour\bsp\periph.c" 100 100 1430 351 0 4 
+"E:\tp_info6_elmansour\bsp\radiocommande.c" 125 125 1430 351 0 5 
+"E:\tp_info6_elmansour\bsp\uart0.c" 150 150 1430 351 0 6 
 [LOADED_PROJECTS]
 "EmbM32C87App" 
 [END]
Index: branch/elmansour/Emb_App/SessionM32C_Simulator.hsf
===================================================================
--- branch/elmansour/Emb_App/SessionM32C_Simulator.hsf	(revision 234)
+++ branch/elmansour/Emb_App/SessionM32C_Simulator.hsf	(revision 235)
@@ -1,7 +1,7 @@
 [HIMDBVersion]
 2.0
 [DATABASE_VERSION]
-"2.2" 
+"2.3" 
 [SESSION_DETAILS]
 "" 
 [INFORMATION]
@@ -34,6 +34,8 @@
 [WINDOW_POSITION_STATE_DATA_VD3]
 [WINDOW_POSITION_STATE_DATA_VD4]
 [WINDOW_Z_ORDER]
+[TARGET_NAME]
+"" "" 0 
 [STATUSBAR_STATEINFO_VD1]
 "MasterShowState" 1 
 "ApplicationShowState" 1 
@@ -54,8 +56,6 @@
 [STATUSBAR_DEBUGGER_PANESTATE_VD2]
 [STATUSBAR_DEBUGGER_PANESTATE_VD3]
 [STATUSBAR_DEBUGGER_PANESTATE_VD4]
-[TARGET_NAME]
-"" 
 [DEBUGGER_OPTIONS]
 "" 
 [DOWNLOAD_MODULES]
@@ -71,6 +71,8 @@
 "FALSE" 
 [DISABLE_MEMORY_ACCESS_DURING_EXECUTION]
 "FALSE" 
+[DEBUGGER_OPTIONS_PROPERTIES]
+"0" 
 [COMMAND_FILES]
 [DEFAULT_DEBUG_FORMAT]
 "" 
Index: branch/elmansour/Emb_App/SessionM32C_E8a_system.hsf
===================================================================
--- branch/elmansour/Emb_App/SessionM32C_E8a_system.hsf	(revision 234)
+++ branch/elmansour/Emb_App/SessionM32C_E8a_system.hsf	(revision 235)
@@ -141,8 +141,8 @@
 "{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWndInstanceKey0" "{WK_00000001_PDMR}EmbM32C87AppSessionM32C_E8a_system" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_EVAL_DENORMAL_MODE" "0" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_EVAL_ROUND_MODE" "0" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_0" "0000000000004044" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_1" "0000000000000020" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_0" "0000000000000001" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_1" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_10" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_11" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_12" "0000000000000000" 
@@ -149,12 +149,12 @@
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_13" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_14" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_15" "0000000000000512" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_16" "0000000000FF056E" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_16" "0000000000FF05FD" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_17" "0000000000FFF800" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_18" "0000000000000AD6" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_19" "0000000000000810" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_2" "0000000000000001" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_20" "0000000000004044" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_18" "0000000000000A1A" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_19" "0000000000000830" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_2" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_20" "0000000000004080" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_21" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_22" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_23" "0000000000000000" 
@@ -171,9 +171,9 @@
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_33" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_34" "000000000000036A" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_35" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_4" "0000000000000008" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_5" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_6" "0000000000000B0C" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_4" "0000000000000004" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_5" "0000000000FF0000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_6" "0000000000000A38" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_7" "0000000000000512" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_8" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_9" "0000000000000000" 
@@ -205,9 +205,9 @@
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ColWidth2" "120" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ColWidth3" "200" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH" "c,buff,n,rx,flag," 
-"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0000" "dma0_fin_tr, 2, 0, P, Col, Hex, MN" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0000" "dishorizontale, 10, 0, P, Col, Hex, N" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0000_SCOPE" "Current Scope," 
-"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEMCnt" "0" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEMCnt" "1" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ColWidth0" "120" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ColWidth1" "150" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ColWidth12" "200" 
@@ -277,14 +277,14 @@
 0 
 [WINDOW_POSITION_STATE_DATA_VD1]
 "Help" "TOOLBAR 0" 59419 2 4 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
-"{WK_00000001_CmdLine}" "WINDOW" 59422 0 1 "0.08" 365 0 0 350 200 17 0 "32771|32772|32778|<<separator>>|32773|32774|<<separator>>|32820|<<separator>>|32801|32824" "0.0" 
+"{WK_00000001_CmdLine}" "WINDOW" 59422 0 3 "0.07" 365 0 0 350 200 17 0 "32771|32772|32778|<<separator>>|32773|32774|<<separator>>|32820|<<separator>>|32801|32824" "0.0" 
 "{WK_00000001_DISASSEMBLY}" "WINDOW" 0 0 0 "0.00" 0 -4 -30 948 486 9 0 "" "0.0" 
 "{WK_00000001_EVENT}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 0 "0.11" 365 0 0 350 200 18 0 "32774|32775|32777|<<separator>>|32780|<<separator>>" "0.0" 
 "{WK_00000001_MEMORY}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 1 "0.23" 365 2 -1 350 200 2065 0 "42202|42203|42204|42233|<<separator>>|42206|42205|42230|42229|42207|<<separator>>|42208|42209|42210|49076|42228|42227|<<separator>>|42231|42232|42234|42235|<<separator>>|42211|<<separator>>|32796|32797" "0.0" 
-"{WK_00000001_OUTPUT}" "WINDOW" 59422 0 2 "0.70" 365 0 0 350 200 18 0 "36756|36757|36758|36759|<<separator>>|36746|36747|<<separator>>|39531|<<separator>>|39500|39534|<<separator>>|36687" "0.0" 
-"{WK_00000001_PDMR}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 3 "0.10" 365 0 0 350 200 18 0 "47300|47301|47302|47303|47304|47305|47314|47306|47307|47308|47311|47312|47313|42211|42509|42303" "0.0" 
+"{WK_00000001_OUTPUT}" "WINDOW" 59422 0 2 "0.53" 365 0 0 350 200 18 0 "36756|36757|36758|36759|<<separator>>|36746|36747|<<separator>>|39531|<<separator>>|39500|39534|<<separator>>|36687" "0.0" 
+"{WK_00000001_PDMR}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 4 "0.10" 365 0 0 350 200 18 0 "47300|47301|47302|47303|47304|47305|47314|47306|47307|47308|47311|47312|47313|42211|42509|42303" "0.0" 
 "{WK_00000001_REGISTERS}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59421 0 0 "1.00" 236 0 0 350 200 2065 0 "" "0.0" 
-"{WK_00000001_WATCH}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 4 "0.09" 365 0 0 350 200 18 0 "32781|32783|<<separator>>|32771|32772|32773|<<separator>>|32786|<<separator>>|32810|32811" "0.0" 
+"{WK_00000001_WATCH}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 1 "0.26" 365 0 0 350 200 18 0 "32781|32783|<<separator>>|32771|32772|32773|<<separator>>|32786|<<separator>>|32810|32811" "0.0" 
 "{WK_00000002_WORKSPACE}" "WINDOW" 59420 0 0 "1.00" 308 0 0 350 200 18 0 "" "0.0" 
 "{WK_TB00000001_STANDARD}" "TOOLBAR 0" 59419 0 2 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
 "{WK_TB00000002_EDITOR}" "TOOLBAR 0" 59419 0 0 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
@@ -309,8 +309,10 @@
 [WINDOW_POSITION_STATE_DATA_VD3]
 [WINDOW_POSITION_STATE_DATA_VD4]
 [WINDOW_Z_ORDER]
+"E:\tp_info6_elmansour\Emb_App\crt0mr.a30" 
 "E:\tp_info6_elmansour\Emb_App\programme_principal_etud.c" 
-"E:\tp_info6_elmansour\Emb_App\crt0mr.a30" 
+"E:\tp_info6_elmansour\bsp\radiocommande.c" 
+"E:\tp_info6_elmansour\bsp\uart0.c" 
 "E:\tp_info6_elmansour\Emb_App\conf_noyau.cfg" 
 "E:\tp_info6_elmansour\bsp\periph.c" 
 "E:\tp_info6_elmansour\Emb_App\Debug\mrtable.a30" 
@@ -360,5 +362,5 @@
 [FLASH_DETAILS]
 "" 0 0 "" 0 "" 0 0 "" 0 0 0 0 0 0 0 "" "" "" "" "" 
 [BREAKPOINTS]
-"d:\profs\tp_info14_travail\tp_info14\emb_app\programme_principal_etud.c" 95 90293856 1 "{00000000-0000-0000-C000-000000000046}" "" 
+"d:\profs\tp_info14_travail\tp_info14\emb_app\programme_principal_etud.c" 95 101162552 1 "{00000000-0000-0000-C000-000000000046}" "" 
 [END]
Index: branch/elmansour/Emb_App/programme_principal_etud.c
===================================================================
--- branch/elmansour/Emb_App/programme_principal_etud.c	(revision 234)
+++ branch/elmansour/Emb_App/programme_principal_etud.c	(revision 235)
@@ -121,6 +121,9 @@
 //				correspondant au nom du véhicule si le nom se termine par '*'
 unsigned alpha;
 int k=1;
+unsigned agl_roue;
+unsigned distance;
+//unsigned dishorizontal;
 
 
 void tourelle(){
@@ -127,35 +130,89 @@
 	CanFrame comm;
 	CanFrame requete,reponse;
 	while (1) {
-		requete.data.id='R';
+		//lire l angle de torelle
+		/*requete.data.id='R';
 		requete.data.rtr=1;
 		snd_dtq(CanTx,requete.msg);
 		rcv_dtq(CanRx, &reponse.msg);
-		alpha=reponse.data.val;
+		alpha=reponse.data.val;*/
+		CanFrame req;
+	    UINT flag;
+     	req.data.id='R';
+    	req.data.rtr=1;
+    	periph[ADDR('R')].ev=0x01;
+    	snd_dtq(CanTx,req.msg);
+    	wai_flg(ev_periph, 0x01,TWF_ANDW, &flag);
+    	alpha=periph[ADDR('R')].val;
+	
+		
+		//commander la vitess de torelle
 		comm.data.id='T';
 		comm.data.rtr=0;
-		comm.data.val=k*(900-alpha);
+		comm.data.val=k*(450-alpha);
 		snd_dtq(CanTx,comm.msg);
 		dly_tsk(10);
+		
+
+		
 	}
 }
-void demarer (){
+void demarrer (){
 	CanFrame requete;
-	dly_tsk(2000);
+	/*do{
+	dly_tsk(50);
+	}while(abs(k*(450-alpha))>2); */
+	dly_tsk(5000);
+	
+	//mis en mouvement la voiture en vitess de 30
 	requete.data.id='V';
 	requete.data.rtr=0;
-	requete.data.val=20;
+	requete.data.val=46;
 	snd_dtq(CanTx, requete.msg);
 }
+void roues(){
+	CanFrame comm;
+	CanFrame req;
+	UINT flag;
+	req.data.id='D';
+	req.data.rtr=1;
+	periph[ADDR('D')].ev=0x02;
+	snd_dtq(CanTx,req.msg);
+	wai_flg(ev_periph, 0x02,TWF_ANDW, &flag);
+	agl_roue=periph[ADDR('D')].val;
 	
+	//commander la rotation des roues
+	while(1){
+	comm.data.id='D';
+	comm.data.rtr=0;
+	comm.data.val=2*(distance-730);
+	snd_dtq(CanTx, comm.msg);
+	}
+		
+}
+void distance_mur(){
+	//lire la distance entre la voiture et le mur
+	CanFrame req;
+	UINT flag;
+	while(1){
+	req.data.id='U';
+	req.data.rtr=1;
+	periph[ADDR('U')].ev=0x01;
+	snd_dtq(CanTx,req.msg);
+	wai_flg(ev_periph, 0x01,TWF_ANDW, &flag);
+	distance=periph[ADDR('U')].val;
+	//dishorizontal=distance*cos(90-alpha/10);
+	}
+	
+}
 
 void main()
 {	
-	CanFrame comm;
+//	CanFrame comm;
 	ports_mcu();
     lcd_init();
 	periph_init();
-	periph_nom("#AutoTest*");
+	periph_nom("#Mansour*");
 
 
     can_init();
@@ -163,21 +220,30 @@
 	capture_init();
 
 	sta_cyc(ID_acqui);
-//	sta_tsk(ID_periph_rx);
-	comm.data.id='T';
-	comm.data.rtr=0;
-	comm.data.val=120;
-	snd_dtq(CanTx,comm.msg);
-	sta_tsk(ID_tourelle);
-	sta_tsk(ID_demarer);
+	sta_tsk(ID_periph_rx);
+//	comm.data.id='T';
+//	comm.data.rtr=0;
+//	comm.data.val=120;
+//	snd_dtq(CanTx,comm.msg);
+//	sta_tsk(ID_tourelle);
+//	sta_tsk(ID_demarer);
+//	sta_tsk(ID_roues);
+//	sta_tsk(ID_distance_mur);
+		sta_tsk(ID_tourelle);
+    	sta_tsk(ID_demarrer);
+	    
+	    sta_tsk(ID_distance_mur);	
+		dly_tsk(2000);
+		sta_tsk(ID_roues);
 	
     while(1)
     {
-		LED_J=1;
+		/*LED_J=1;
 		dly_tsk(100);
 		LED_J=0;
 		dly_tsk(100);
-		//tourelle();
+		//tourelle();*/
+
     }
 }
 
Index: branch/elmansour/Emb_App/conf_noyau.cfg
===================================================================
--- branch/elmansour/Emb_App/conf_noyau.cfg	(revision 234)
+++ branch/elmansour/Emb_App/conf_noyau.cfg	(revision 235)
@@ -62,8 +62,8 @@
 	exinf	= 0x0;
 };
 task[]{
-	entry_address	= demarer();
-	name	= ID_demarer;
+	entry_address	= demarrer();
+	name	= ID_demarrer;
 	stack_size	= 256;
 	stack_section	= stack;
 	priority	= 2;
@@ -79,6 +79,24 @@
 	initial_start	= OFF;
 	exinf	= 0x0;
 };
+task[]{
+	entry_address	= roues();
+	name	= ID_roues;
+	stack_size	= 256;
+	stack_section	= stack;
+	priority	= 2;
+	initial_start	= OFF;
+	exinf	= 0x0;
+};
+task[]{
+	entry_address	= distance_mur();
+	name	= ID_distance_mur;
+	stack_size	= 256;
+	stack_section	= stack;
+	priority	= 2;
+	initial_start	= OFF;
+	exinf	= 0x0;
+};
 
 flag[]{
 	name	= ev_bus_fin_tr;
Index: branch/elmansour/Emb_App/DefaultSession.hsf
===================================================================
--- branch/elmansour/Emb_App/DefaultSession.hsf	(revision 234)
+++ branch/elmansour/Emb_App/DefaultSession.hsf	(revision 235)
@@ -60,6 +60,8 @@
 [WINDOW_Z_ORDER]
 "E:\tp_info6_elmansour\Emb_App\programme_principal_etud.c" 
 "E:\tp_info6_elmansour\Emb_App\crt0mr.a30" 
+"E:\tp_info6_elmansour\bsp\radiocommande.c" 
+"E:\tp_info6_elmansour\bsp\uart0.c" 
 "E:\tp_info6_elmansour\Emb_App\conf_noyau.cfg" 
 "E:\tp_info6_elmansour\bsp\periph.c" 
 "E:\tp_info6_elmansour\Emb_App\Debug\mrtable.a30" 