Index: branch/nan_cao/Emb_App/programme_principal_etud.c
===================================================================
--- branch/nan_cao/Emb_App/programme_principal_etud.c	(revision 238)
+++ branch/nan_cao/Emb_App/programme_principal_etud.c	(revision 239)
@@ -120,156 +120,83 @@
 //'I'/73/Ox49 : Définition du nom du véhicule. Doit débuter par le caractère '#' et entraine le chargement de la configuration de piste
 //				correspondant au nom du véhicule si le nom se termine par '*'
 
+//void mesureD(){};
+short alpha;
+short vitesse, longueur;
 
-/*
-void TVcommande(){
-	CanFrame commV;
-	CanFrame reponse;
-		while(1){
-			commV.data.id='V'; 
-			commV.data.rtr=0;
-			commV.data.val=(ad00-50);
-			snd_dtq (CanTx,commV.msg);
-			dly_tsk(10); 
-			}
-} 
-
-*/
-
-
-
-
-
-
-/*
-void itoucheM(void){
+void vit(){	
+	CanFrame comm;
+		while(1)
+		{
+			comm.data.id='V'; 
+			comm.data.rtr=0;
+	 		comm.data.val=15; // Pour un gain de 1, on regule pour avoir 45degrés
+			snd_dtq(CanTx,comm.msg);
+			dly_tsk(100);
+		}	
+		
+}
+void mesureR(){	
 	
-		char t;
-	
-				
-		if (t=clavier_scan())
-		vipsnd_dtq(QdmTouche,t);
+		CanFrame req,reponse,comm;
+		UINT flag;	
+		while(1)
+		{	
+			req.data.id='U'; //lecture angle de la tourelle
+			req.data.rtr=1; //requête de lecture
+			snd_dtq(CanRx, req.msg);
+			//Attente de la réponse
+			//rcv_dtq(CanRx, &reponse.msg);
+			periph[ADDR('R')].ev=0x01;
+			snd_dtq(CanTx,req.msg);
+			wai_flg(ev_periph, 0x01, TWF_ANDW,&flag);
+			alpha=periph[ADDR('R')].val;
 			
-	}
-
-
-
-void affichage(){
-	while(1){
-		dly_tsk(10);
+			//Vitesse de la tourelle
+			comm.data.id='T'; 
+			comm.data.rtr=0;
+	 		comm.data.val=450-alpha; // Pour un gain de 1, on regule pour avoir 45degrés
+			snd_dtq(CanTx,comm.msg);
+			dly_tsk(100);
+		}	
 		
-	lcd_putc('t');
-	lcd_putc('.');	
-		}
-	}
-*/
-
-
-
-
-
-
-int distance;
-
-
-void mesureR(){
-	CanFrame demande;
-	CanFrame reponse;
-	CanFrame comm;
-	float alpha;
-	float angle=450;
-//	float erreur;
-	int g=5;
-	while(1){
-		dly_tsk(10);
-		demande.data.id='R'; 
-		demande.data.rtr=1;
-		snd_dtq (CanTx,demande.msg);
-		alpha=periph[ADDR('R')].val;
-	
-		
-//		alpha=alpha/10;
-//		erreur = angle-alpha;
-		
-		comm.data.id='T';
-		comm.data.rtr=0;
-
-		if (alpha!=angle) comm.data.val=(angle-alpha)*g;
-		snd_dtq(CanTx, comm.msg);
- }
-
 }
 
 
-
-
-
-
-void mesureD(){
-	CanFrame demande;
-	CanFrame reponse;	
+void mesureD(){	
 	
-	while(1){
-		dly_tsk(10);
-		demande.data.id='U'; 
-		demande.data.rtr=1;
-		periph[ADDR('U')].ev=0x02;
-		distance=periph[ADDR('U')].val;
-		snd_dtq (CanTx,demande.msg);	
-	}
-}
-
-
-void commandeD(){
-	CanFrame demande;
-	CanFrame reponse;
-	UINT flag;
-		while(1){	
+		CanFrame req,reponse,comm;
+		UINT flag;	
+		while(1)
+		{	
+			req.data.id='R'; //lecture angle de la tourelle
+			req.data.rtr=1; //requête de lecture
+			snd_dtq(CanRx, req.msg);
+			//Attente de la réponse
+			//rcv_dtq(CanRx, &reponse.msg);
+			periph[ADDR('R')].ev=0x01;
+			snd_dtq(CanTx,req.msg);
+			wai_flg(ev_periph, 0x01, TWF_ANDW,&flag);
+			alpha=periph[ADDR('R')].val;
 			
-			demande.data.id='D'; 
-			demande.data.rtr=0;
-			periph[ADDR('D')].ev=0x01;
-			
-			wai_flg (ev_periph, 0x01, TWF_ANDW, &flag);
-        	ang_roue=periph[ADDR('D')].val;
-			
-			
-			demande.data.id='D';
-        	demande.data.rtr=0; 
-        	demande.data.val=1*(distance-500);		
- 
-		  	snd_dtq (CanTx,demande.msg);
-   	 	    snd_dtq(CanTx,demande.msg);
-			dly_tsk(10);
-		//	demande.data.val=1*(distance-50);
-		//	snd_dtq(CanTx,demande.msg);
-		//	dly_tsk(10);
-			}
+			//Vitesse de la tourelle
+			comm.data.id='T'; 
+			comm.data.rtr=0;
+	 		comm.data.val=450-alpha; // Pour un gain de 1, on regule pour avoir 45degrés
+			snd_dtq(CanTx,comm.msg);
+			dly_tsk(100);
+		}	
+		
 }
 
 
-void commandeV(){
-	CanFrame demande;
-	CanFrame reponse;
 
-		while(1){
-			dly_tsk(5);
-			demande.data.id='V'; 
-			demande.data.rtr=0;
-			demande.data.val=0;
-			snd_dtq(CanTx,demande.msg);
-			
-			}
-}
 
 
 
-
-
 void main()
 {
 	CanFrame comm;
-//	CanFrame commD;
 	
 	ports_mcu();
 	lcd_init();
@@ -281,30 +208,13 @@
     can_init();
     clavier_init(1);
 	capture_init();
-	
-	
-		
-	
-//	sta_tsk(tache5);
-	sta_tsk(tache4);
-	sta_tsk(tache3);
+			
+	sta_tsk(tache1);
 	sta_tsk(tache2);
-	sta_tsk(tache1);
+	sta_tsk(tache3);
 	sta_cyc(ID_acqui);
-//	sta_tsk(ID_periph_rx);
-	
-
-
-	
-//	comm.data.id='D'; 
-//	comm.data.rtr=0; 
-//	comm.data.val=0;
-//	snd_dtq(CanTx, comm.msg);
-
-
-
-
-
+	sta_tsk(ID_periph_rx);
+	
     while(1)
     {
 		LED_J=1;
@@ -321,4 +231,5 @@
 void acqui()
 {
 	LED_V=!LED_V;
-}
\ No newline at end of file
+}
+
Index: branch/nan_cao/Emb_App/conf_noyau.cfg
===================================================================
--- branch/nan_cao/Emb_App/conf_noyau.cfg	(revision 238)
+++ branch/nan_cao/Emb_App/conf_noyau.cfg	(revision 239)
@@ -52,35 +52,30 @@
 	initial_start	= OFF;
 	exinf	= 0x0;
 };
+
 task[]{
-	entry_address	= commandeV();
-	name	= tache4;
-	stack_size	= 512;
-	stack_section	= stack;
-	priority	= 5;
-	initial_start	= OFF;
-	exinf	= 0x0;
-};
-task[]{
-	entry_address	= commandeD();
+	entry_address	= mesureD();
 	name	= tache2;
 	stack_size	= 512;
 	stack_section	= stack;
-	priority	= 5;
+	priority	= 6;
 	initial_start	= OFF;
 	exinf	= 0x0;
 };
 task[]{
-	entry_address	= mesureD();
+	entry_address	= vit();
 	name	= tache3;
 	stack_size	= 512;
 	stack_section	= stack;
-	priority	= 5;
+	priority	= 6;
 	initial_start	= OFF;
 	exinf	= 0x0;
 };
 
 
+
+
+
 task[]{
 	entry_address	= periph_tx();
 	name	= ID_periph_tx;
Index: branch/nan_cao/Emb_App/EmbM32C87App.hwp
===================================================================
--- branch/nan_cao/Emb_App/EmbM32C87App.hwp	(revision 238)
+++ branch/nan_cao/Emb_App/EmbM32C87App.hwp	(revision 239)
@@ -3,16 +3,16 @@
 [DATABASE_VERSION]
 "2.8" 
 [PROJECT_DETAILS]
-"EmbM32C87App" "E:\nan_cao\Emb_App" "E:\nan_cao\Emb_App\EmbM32C87App.hwp" "M16C/80,M32C" "Renesas M32C Standard" "Application" "M32C/80" "M32C/87(M32C/87)" 
+"EmbM32C87App" "E:\tp_info6_2018_nan_cao\tp_info6\Emb_App" "E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\EmbM32C87App.hwp" "M16C/80,M32C" "Renesas M32C Standard" "Application" "M32C/80" "M32C/87(M32C/87)" 
 [INFORMATION]
 "No project information available" 
 [TOOL_CHAIN]
 "Renesas M32C Standard Toolchain" "5.42.00" 
 [CONFIGURATIONS]
-"Debug" "E:\nan_cao\Emb_App\Debug" 
-"Debug_M32C_FoUSB_UART" "E:\nan_cao\Emb_App\Debug_M32C_FoUSB_UART" 
-"Debug_M32C_Simulator" "E:\nan_cao\Emb_App\Debug_M32C_Simulator" 
-"Release" "E:\nan_cao\Emb_App\Release" 
+"Debug" "E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\Debug" 
+"Debug_M32C_FoUSB_UART" "E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\Debug_M32C_FoUSB_UART" 
+"Debug_M32C_Simulator" "E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\Debug_M32C_Simulator" 
+"Release" "E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\Release" 
 [BUILD_PHASES]
 "Renesas M32C Assembler" 1 
 "Renesas M32C C Compiler" 1 
@@ -105,29 +105,29 @@
 "Relocatable file" "Renesas M32C Linker" "Renesas M32C Assembler" 
 "Relocatable file" "Renesas M32C Linker" "Renesas M32C C Compiler" 
 [PROJECT_FILES]
-"E:\nan_cao\Emb_App\conf_noyau.cfg" "User" "Configuration file" 2 
-"E:\nan_cao\Emb_App\crt0mr.a30" "User" "Assembly source file" 2 
-"E:\nan_cao\Emb_App\programme_principal_etud.c" "User" "C source file" 2 
-"E:\nan_cao\bsp\can.c" "User" "C source file" 2 
-"E:\nan_cao\bsp\can.h" "User" "C header file" 2 
-"E:\nan_cao\bsp\carte_io.h" "User" "C header file" 2 
-"E:\nan_cao\bsp\carte_m32.h" "User" "C header file" 2 
-"E:\nan_cao\bsp\clavier.c" "User" "C source file" 2 
-"E:\nan_cao\bsp\clavier.h" "User" "C header file" 2 
-"E:\nan_cao\bsp\dma0.c" "User" "C source file" 2 
-"E:\nan_cao\bsp\dma0.h" "User" "C header file" 2 
-"E:\nan_cao\bsp\lcd.c" "User" "C source file" 2 
-"E:\nan_cao\bsp\lcd.h" "User" "C header file" 2 
-"E:\nan_cao\bsp\mli.c" "User" "C source file" 2 
-"E:\nan_cao\bsp\mli.h" "User" "C header file" 2 
-"E:\nan_cao\bsp\periph.c" "User" "C source file" 2 
-"E:\nan_cao\bsp\periph.h" "User" "C header file" 2 
-"E:\nan_cao\bsp\radiocommande.c" "User" "C source file" 2 
-"E:\nan_cao\bsp\radiocommande.h" "User" "C header file" 2 
-"E:\nan_cao\bsp\sfr32c83.h" "User" "C header file" 2 
-"E:\nan_cao\bsp\sfr32c87.h" "User" "C header file" 2 
-"E:\nan_cao\bsp\uart0.c" "User" "C source file" 2 
-"E:\nan_cao\bsp\uart0.h" "User" "C header file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\conf_noyau.cfg" "User" "Configuration file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\crt0mr.a30" "User" "Assembly source file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\programme_principal_etud.c" "User" "C source file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\can.c" "User" "C source file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\can.h" "User" "C header file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\carte_io.h" "User" "C header file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\carte_m32.h" "User" "C header file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\clavier.c" "User" "C source file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\clavier.h" "User" "C header file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\dma0.c" "User" "C source file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\dma0.h" "User" "C header file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\lcd.c" "User" "C source file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\lcd.h" "User" "C header file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\mli.c" "User" "C source file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\mli.h" "User" "C header file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\periph.c" "User" "C source file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\periph.h" "User" "C header file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\radiocommande.c" "User" "C source file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\radiocommande.h" "User" "C header file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\sfr32c83.h" "User" "C header file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\sfr32c87.h" "User" "C header file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\uart0.c" "User" "C source file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\uart0.h" "User" "C header file" 2 
 [FOLDER]
 "Assembly source file" "Assembly source file" 
 "C header file" "C header file" 
@@ -138,10 +138,10 @@
 [ON_DEMAND_COMPONENTS_LOADED]
 [SYNC_SESSION_NAMES]
 [SESSIONS]
-"DefaultSession" "E:\nan_cao\Emb_App\DefaultSession.hsf" 0 
-"SessionM32C_E8a_system" "E:\nan_cao\Emb_App\SessionM32C_E8a_system.hsf" 0 
-"SessionM32C_FoUSB_UART" "E:\nan_cao\Emb_App\SessionM32C_FoUSB_UART.hsf" 0 
-"SessionM32C_Simulator" "E:\nan_cao\Emb_App\SessionM32C_Simulator.hsf" 0 
+"DefaultSession" "E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\DefaultSession.hsf" 0 
+"SessionM32C_E8a_system" "E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\SessionM32C_E8a_system.hsf" 0 
+"SessionM32C_FoUSB_UART" "E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\SessionM32C_FoUSB_UART.hsf" 0 
+"SessionM32C_Simulator" "E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\SessionM32C_Simulator.hsf" 0 
 [GENERAL_DATA_SESSION_DefaultSession]
 [GENERAL_DATA_SESSION_SessionM32C_E8a_system]
 [GENERAL_DATA_SESSION_SessionM32C_FoUSB_UART]
@@ -148,18 +148,18 @@
 [GENERAL_DATA_SESSION_SessionM32C_Simulator]
 [OPTIONS_Debug_Renesas M32C Assembler]
 "Assembly source file" "061cd8963acbbc10" 3 
-"E:\nan_cao\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
+"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
 [OPTIONS_Debug_Renesas M32C C Compiler]
 "C source file" "0d1c724595684d10" 2 
-"E:\nan_cao\Emb_App\programme_principal_etud.c" "0d1c724595684d10" 2 
-"E:\nan_cao\bsp\can.c" "0d1c724595684d10" 2 
-"E:\nan_cao\bsp\clavier.c" "0d1c724595684d10" 2 
-"E:\nan_cao\bsp\dma0.c" "0d1c724595684d10" 2 
-"E:\nan_cao\bsp\lcd.c" "0d1c724595684d10" 2 
-"E:\nan_cao\bsp\mli.c" "0d1c724595684d10" 2 
-"E:\nan_cao\bsp\periph.c" "0d1c724595684d10" 2 
-"E:\nan_cao\bsp\radiocommande.c" "0d1c724595684d10" 2 
-"E:\nan_cao\bsp\uart0.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\programme_principal_etud.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\can.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\clavier.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\dma0.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\lcd.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\mli.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\periph.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\radiocommande.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\uart0.c" "0d1c724595684d10" 2 
 [OPTIONS_Debug_Renesas M32C Configurator]
 "Single Shot" "061cd8963acbbc10" 1 
 [OPTIONS_Debug_Renesas M32C Librarian]
@@ -187,18 +187,18 @@
 [GENERAL_DATA_CONFIGURATION_Debug]
 [OPTIONS_Debug_M32C_FoUSB_UART_Renesas M32C Assembler]
 "Assembly source file" "061cd8963acbbc10" 3 
-"E:\nan_cao\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
+"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
 [OPTIONS_Debug_M32C_FoUSB_UART_Renesas M32C C Compiler]
 "C source file" "061cd8963acbbc10" 2 
-"E:\nan_cao\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
-"E:\nan_cao\bsp\can.c" "032b447e85684d10" 2 
-"E:\nan_cao\bsp\clavier.c" "032b447e85684d10" 2 
-"E:\nan_cao\bsp\dma0.c" "032b447e85684d10" 2 
-"E:\nan_cao\bsp\lcd.c" "032b447e85684d10" 2 
-"E:\nan_cao\bsp\mli.c" "032b447e85684d10" 2 
-"E:\nan_cao\bsp\periph.c" "032b447e85684d10" 2 
-"E:\nan_cao\bsp\radiocommande.c" "032b447e85684d10" 2 
-"E:\nan_cao\bsp\uart0.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\can.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\clavier.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\dma0.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\lcd.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\mli.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\periph.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\radiocommande.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\uart0.c" "032b447e85684d10" 2 
 [OPTIONS_Debug_M32C_FoUSB_UART_Renesas M32C Configurator]
 "Single Shot" "061cd8963acbbc10" 1 
 [OPTIONS_Debug_M32C_FoUSB_UART_Renesas M32C Librarian]
@@ -226,18 +226,18 @@
 [GENERAL_DATA_CONFIGURATION_Debug_M32C_FoUSB_UART]
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Assembler]
 "Assembly source file" "061cd8963acbbc10" 3 
-"E:\nan_cao\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
+"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C C Compiler]
 "C source file" "061cd8963acbbc10" 2 
-"E:\nan_cao\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
-"E:\nan_cao\bsp\can.c" "032b447e85684d10" 2 
-"E:\nan_cao\bsp\clavier.c" "032b447e85684d10" 2 
-"E:\nan_cao\bsp\dma0.c" "032b447e85684d10" 2 
-"E:\nan_cao\bsp\lcd.c" "032b447e85684d10" 2 
-"E:\nan_cao\bsp\mli.c" "032b447e85684d10" 2 
-"E:\nan_cao\bsp\periph.c" "032b447e85684d10" 2 
-"E:\nan_cao\bsp\radiocommande.c" "032b447e85684d10" 2 
-"E:\nan_cao\bsp\uart0.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\can.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\clavier.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\dma0.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\lcd.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\mli.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\periph.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\radiocommande.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\uart0.c" "032b447e85684d10" 2 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Configurator]
 "Single Shot" "061cd8963acbbc10" 1 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Librarian]
@@ -265,18 +265,18 @@
 [GENERAL_DATA_CONFIGURATION_Debug_M32C_Simulator]
 [OPTIONS_Release_Renesas M32C Assembler]
 "Assembly source file" "061cd8963acbbc10" 3 
-"E:\nan_cao\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
+"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
 [OPTIONS_Release_Renesas M32C C Compiler]
 "C source file" "061cd8963acbbc10" 2 
-"E:\nan_cao\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
-"E:\nan_cao\bsp\can.c" "032b447e85684d10" 2 
-"E:\nan_cao\bsp\clavier.c" "032b447e85684d10" 2 
-"E:\nan_cao\bsp\dma0.c" "032b447e85684d10" 2 
-"E:\nan_cao\bsp\lcd.c" "032b447e85684d10" 2 
-"E:\nan_cao\bsp\mli.c" "032b447e85684d10" 2 
-"E:\nan_cao\bsp\periph.c" "032b447e85684d10" 2 
-"E:\nan_cao\bsp\radiocommande.c" "032b447e85684d10" 2 
-"E:\nan_cao\bsp\uart0.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\can.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\clavier.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\dma0.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\lcd.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\mli.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\periph.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\radiocommande.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\uart0.c" "032b447e85684d10" 2 
 [OPTIONS_Release_Renesas M32C Configurator]
 "Single Shot" "061cd8963acbbc10" 1 
 [OPTIONS_Release_Renesas M32C Librarian]
Index: branch/nan_cao/Emb_App/EmbM32C87App.tps
===================================================================
--- branch/nan_cao/Emb_App/EmbM32C87App.tps	(revision 238)
+++ branch/nan_cao/Emb_App/EmbM32C87App.tps	(revision 239)
@@ -18,7 +18,7 @@
 "SessionM32C_E8a_system" 
 [GENERAL_DATA_PROJECT]
 [GENERAL_DATA_CONFIGURATION_Debug]
-"PROJECT_FILES_MODIFIED_DATA_TAG" "TRUE" 
+"PROJECT_FILES_MODIFIED_DATA_TAG" "FALSE" 
 [SESSIONS_Debug]
 "DefaultSession" 
 "SessionM32C_E8a_system" 
Index: branch/nan_cao/Emb_App.hws
===================================================================
--- branch/nan_cao/Emb_App.hws	(revision 238)
+++ branch/nan_cao/Emb_App.hws	(revision 239)
@@ -3,12 +3,12 @@
 [DATABASE_VERSION]
 "11.0" 
 [WORKSPACE_DETAILS]
-"Emb_App" "E:\nan_cao" "E:\nan_cao\Emb_App.hws" "M16C/80,M32C" "Renesas M32C Standard" 
+"Emb_App" "E:\tp_info6_2018_nan_cao\tp_info6" "E:\tp_info6_2018_nan_cao\tp_info6\Emb_App.hws" "M16C/80,M32C" "Renesas M32C Standard" 
 [SHARED_WORKSPACE_CONTROL_STATUS]
 "" "" "" 
 "" "" "" 
 [PROJECTS]
-"EmbM32C87App" "E:\nan_cao\Emb_App" "E:\nan_cao\Emb_App\EmbM32C87App.hwp" 4 
+"EmbM32C87App" "E:\tp_info6_2018_nan_cao\tp_info6\Emb_App" "E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\EmbM32C87App.hwp" 4 
 [INFORMATION]
 "No workspace information available" 
 [SCRAP]